Skip to main content
GET
List payout requests

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

Search payout requests by id or note

filter[id]
string

Filter by exact id. Supports comma-separated values for multiple matches.

Example:

"3,6,9"

filter[method]
string

Filter by exact method. Supports comma-separated values for multiple matches.

Example:

"example"

filter[status]
string

Filter by exact status. Supports comma-separated values for multiple matches.

Example:

"example"

filter[is_custom]
boolean

Filter by custom status

filter[is_warehouse]
boolean

Filter by warehouse status

filter[created_at]
string

Filter by created at. Supports single date (YYYY-MM-DD) or date range (YYYY-MM-DD,YYYY-MM-DD).

Example:

"2019-08-14,2025-12-31"

filter[updated_at]
string

Filter by updated at. Supports single date (YYYY-MM-DD) or date range (YYYY-MM-DD,YYYY-MM-DD).

Example:

"2025-10-05"

filter[paid_at]
string

Filter by paid at. Supports single date (YYYY-MM-DD) or date range (YYYY-MM-DD,YYYY-MM-DD).

Example:

"2019-08-14,2025-12-31"

filter[rejected_at]
string

Filter by rejected at. Supports single date (YYYY-MM-DD) or date range (YYYY-MM-DD,YYYY-MM-DD).

Example:

"2019-08-14,2025-12-31"

filter[completed_at]
string

Filter by completed at. Supports single date (YYYY-MM-DD) or date range (YYYY-MM-DD,YYYY-MM-DD).

Example:

"2019-08-14,2025-12-31"

sort
enum<string>
default:-created_at

Sort by field. Prefix with - for descending order.

Available options:
id,
-id,
method,
-method,
status,
-status,
requested_amount,
-requested_amount,
partner_amount,
-partner_amount,
paid_amount,
-paid_amount,
created_at,
-created_at,
updated_at,
-updated_at,
paid_at,
-paid_at,
completed_at,
-completed_at
Example:

"-created_at"

per_page
integer
default:15

Items per page (max 50)

Required range: 1 <= x <= 50

Response

A paginated list of payout requests

data
object[]
meta
object